SecuritateȘtiriTech&ITTelefoane

Samsung lansează o actualizare de securitate pentru vulnerabilități critice și de înaltă severitate

Pachetele principale de actualizări sunt Security Maintenance Release (SMR) și Samsung Vulnerabilities and Exposures (SVE)

Samsung lansează o actualizare de securitate care abordează mai multe vulnerabilități și riscuri ale dispozitivelor mobile ale companiei, îmbunătățind astfel securitatea și protecția utilizatorilor. Vulnerabilitățile din actualizare se adresează versiunilor Android 11, 12, 13 și 14.

Ce vulnerabilități ”repară” actualizarea Samsung

Pachetul de Actualizare de Securitate (SMR – Security Maintenance Release) pentru luna martie 2024 include o serie de patch-uri vitale, provenind atât de la Google, cât și direct de la Samsung, destinate să adreseze și să remedieze o gamă largă de vulnerabilități și riscuri de securitate.

Pe de o parte, patch-urile furnizate de Google sunt bazate pe cele mai recente descoperiri și recomandări din Buletinul de Securitate Android pentru Martie 2024. Aceste patch-uri vizează vulnerabilități catalogate ca fiind critice și de înaltă severitate, implicând aspecte precum executarea de cod la distanță, scurgeri de informații și alte forme de comportament nedorit al sistemului, care ar putea fi exploatate de atacatori pentru a compromite securitatea utilizatorilor.

Printre vulnerabilitățile critice abordate se numără CVE-2024-0039 și CVE-2024-23717, identificate ca fiind deosebit de periculoase datorită potențialului lor de a permite atacatorilor să execute cod arbitrar pe dispozitiv, fără interacțiunea utilizatorului. În plus, actualizarea acoperă o serie de vulnerabilități catalogate ca având o severitate înaltă, precum CVE-2023-5091 și CVE-2023-5249, care deși necesită un grad mai mare de interacțiune sau condiții specifice pentru a fi exploatate, reprezintă totuși riscuri semnificative pentru securitatea datelor și a dispozitivelor utilizatorilor.

Pe de altă parte, Samsung adaugă propriile patch-uri de securitate, concepute pentru a adresa vulnerabilități specifice ecosistemului său de dispozitive. Aceste patch-uri, cunoscute sub numele de Samsung Vulnerabilities and Exposures (SVE), sunt dezvoltate în urma unei analize atente a posibilelor puncte de vulnerabilitate identificate în software-ul propriu sau în componente hardware specifice modelelor Samsung. Actualizarea adresează nouă elemente SVE, dar cele esențiale sunt:

  • vulnerabilități legate de controlul incorect al accesului – apar atunci când un sistem, o aplicație sau un serviciu nu implementează în mod adecvat restricțiile de acces pentru resursele sale. De exemplu, un atacator ar putea exploata o astfel de vulnerabilitate pentru a accesa informații confidențiale, a modifica setări ale sistemului fără autorizație sau a executa coduri dăunătoare.
  • overflow-uri în bootloader – datele scrise într-o zonă de memorie depășesc limita acestei zone și încep să suprascrie datele din zonele adiacente.
  • utilizarea după eliberare în NETLINKFIPSCRYPTO – această vulnerabilitate se referă la o problemă în mecanismele criptografice ale sistemului, care folosesc interfața Netlink – un mecanism de comunicație între spațiul de utilizator și nucleul sistemului de operare, folosit pentru a transmite informații despre starea rețelei și a socket-urilor. Dacă un hacker profită de această slăbiciune, ar putea cauza probleme serioase telefonului, făcându-l să ruleze programe rău intenționate sau chiar să se oprească din funcționare, punând în pericol siguranța dispozitivului.
  • expunerea informațiilor sensibile în WlanTest – se referă la o vulnerabilitate de securitate care permite accesul neautorizat la date confidențiale prin intermediul unei componente sau unui test pentru rețeaua wireless (WLAN), de pe un dispozitiv. Accesul neautorizat la astfel de informații sensibile poate oferi atacatorilor indicii valoroase pentru a identifica (MAC address), urmări sau ataca dispozitivele, compromițând astfel confidențialitatea și securitatea utilizatorilor.
  • citirea dincolo de limite în libsubextractor.so – se referă la o vulnerabilitate specifică în cadrul unei biblioteci software numită libsubextractor.so, care este folosită pentru a extrage sau analiza informații din fișiere media. Vulnerabilitatea de tip „citire dincolo de limite” apare atunci când codul încearcă să acceseze date dintr-o zonă de memorie care depășește limitele alocate pentru structura de date sau buffer-ul respectiv.

În anunț nu sunt specificate exact modelele de telefoane vizate, compania spune că actualizarea de securitate este destinată „major flagship models” ale Samsung, ca parte a procesului lor lunar de Security Maintenance Release (SMR).

Articole asemanatoare

Back to top button